package de.w665.sharepulse.rest;

import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * This class is used to redirect the user to the home page if an endpoint is not found.
 */
@RestController
public class ErrorRestController implements ErrorController {
    @RequestMapping("/error")
    public String handleError() {
        return "<script>" +
                    "console.log('Page not found. Redirecting to /home...');" +
                    "window.location.href = window.location.origin + '/home';" +
                "</script>";
    }
}
